# pages-server

> A prototype [Gitea](https://gitea.io) Pages server ala Github Pages (_or Vercal, Netlify, etc_).

Currently supports the following:

- Proxies `*.<domain>`
- Option 1: Repo with `gitea-pages` branch + `gitea-pages` topic => `https://<owner>.<domain>/<repo>/<path>`
- Option 2: Repo of the form `<subdomain>.<domain>` with `gitea-pages` branch and gitea-pages topic => `https://<subdomain>.<domain>`

Where `<domain>` is the domain name and instance of your Gitea Pages server.

Demo sites:

- https://prologic.pages.mills.io/test/ serviced from https://git.mills.io/prologic/test (Option 1)
- https://actions.pages.mills.io/ serviced from https://git.mills.io/actions/actions.pages.mills.io (Option 2)

## Quick Start

TBD

## Features

- Proxies `<owner>.<domain>/<repo>` => `owner/repo`
- Proxies `<subdomain>.<domain>` => `owner/subdomain`
- Automatically sets MIME types on served content.
- Ues `gitea-pages` as an "opt-in" topic label on repos.
- Content is served from a `gitea-pages` branch.

## License

`pages-server` is licensed under the terms of the [MIT License](./LICENSE).
